/*colors*/
body {
  background-color: #7bc2bb;
  color: #3c6e69;
  margin: 0;
  font-family: "Quicksand", sans-serif;
  display: flex;
  flex-direction: column;
  min-height: 100vh;
}

.content {
  display: flex;
  align-items: stretch;
  flex-grow: 1;
}

.sidebar {
  background-color: #3c6e69;
  width: 200px;
  flex-shrink: 0;
  color: white;
}
.sidebar .sideLinks {
  position: sticky;
  top: 0;
}
.sidebar .sideLinks a {
  color: rgba(255, 255, 255, 0.7);
  font-weight: 700;
  text-decoration: none;
}
.sidebar .sideLinks a .sideLink {
  padding: 14px;
  border-bottom: 1px solid rgba(255, 255, 255, 0.2);
}
.sidebar .sideLinks a .sideLink:hover {
  background-color: rgba(255, 255, 255, 0.1);
  color: white;
}
.sidebar .hello {
  border-bottom: 1px solid rgba(255, 255, 255, 0.2);
  text-align: center;
  padding: 20px;
}
.sidebar .hello p {
  margin: 0;
  font-weight: 700;
  color: rgba(255, 255, 255, 0.5);
  text-transform: uppercase;
  font-size: 14px;
}

.pageContent {
  flex-grow: 1;
  padding-bottom: 40px;
}

@media (max-width: 750px) {
  .content {
    display: block;
  }

  .sidebar {
    width: 100%;
  }
}
.mainContainer {
  max-width: 900px;
  padding: 30px;
  margin-right: auto;
  margin-left: auto;
}

.smallContainer {
  width: 100%;
  max-width: 600px;
  margin-left: auto;
  margin-right: auto;
}

a {
  color: #3c6e69;
}
a:hover {
  color: #ee6a3a;
}

button {
  background-color: #3c6e69;
  color: white;
  font-weight: 600;
  padding: 6px 10px;
  margin: 10px 0;
  border: none;
}
button a {
  color: white;
  text-decoration: none;
}
button a:hover {
  color: white;
}
button:hover {
  background-color: #ee6a3a;
}
button.delete {
  cursor: pointer;
  background-color: #ff4400;
}
button.delete:hover {
  background-color: #ee6a3a;
}

h1 {
  text-align: center;
  font-size: 35px;
  color: #3c6e69;
}

/* homepage */
.home {
  text-align: center;
}
.home h1 {
  font-size: 48px;
  color: white;
}

/* NAVIGATION */
nav {
  padding: 14px;
  box-shadow: 0 10px 10px -10px rgba(0, 0, 0, 0.2);
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  justify-content: space-between;
  font-size: 18px;
  background: white;
  color: #3c6e69;
}
nav .logo a {
  font-size: 26px;
  font-weight: 700;
  color: #3c6e69;
  text-decoration: none;
}

.navLink {
  font-weight: 700;
  font-size: 12px;
  text-transform: uppercase;
}

/* LOG IN & REGISTER*/
.smallForm {
  width: 100%;
  max-width: 300px;
  margin-left: auto;
  margin-right: auto;
}
.smallForm h2 {
  text-align: center;
}
.smallForm form .alreadyLogged {
  margin: 10px 0;
  color: #3c6e69;
}
.smallForm .linkSignIn, .smallForm .linkRegister {
  width: 100%;
  max-width: 300px;
  margin-left: auto;
  margin-right: auto;
  margin-top: 20px;
  border-top: 1px solid white;
}

/* CREATE POLL FORM */
form ul {
  list-style-type: none;
  padding-left: 0;
}

input[type=email], input[type=password], input[type=text] {
  border: 2px solid transparent;
  border-radius: 0;
  width: 100%;
  padding: 6px;
  box-sizing: border-box;
  /* Make sure that padding and width stays in place */
  margin-top: 6px;
  margin-bottom: 16px;
  resize: vertical;
}
input[type=email]:focus, input[type=password]:focus, input[type=text]:focus {
  border: 2px solid #3c6e69;
}

#poll_status {
  margin: 15px 0 20px 0;
}
#poll_status label {
  margin-right: 15px;
}
#poll_status input {
  margin-right: 4px;
}

/* Poll index */
.pollIndex .indexBlock {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
  align-items: center;
  padding: 4px;
  border-bottom: 2px solid rgba(255, 255, 255, 0.3);
}
.pollIndex .indexBlock:nth-child(odd) {
  background-color: rgba(255, 255, 255, 0.2);
}
.pollIndex .indexBlock:nth-child(even) {
  background-color: rgba(255, 255, 255, 0.1);
}
.pollIndex .indexBlock h3 {
  margin: 8px 4px;
}
.pollIndex .indexBlock .btnBlock {
  display: flex;
  align-items: center;
}
.pollIndex .indexBlock .btnBlock button {
  margin: 0 2px;
}

/* Poll results & vote */
.pollTitle h2 {
  margin-bottom: 4px;
}
.pollTitle p {
  margin-top: 4px;
  font-size: 14px;
}

.pollResults {
  margin: 30px 0;
}
.pollResults p {
  font-weight: 700;
  margin-bottom: 4px;
}
.pollResults p.totalVotes {
  font-weight: 400;
}

.pollVote {
  margin: 30px 0;
}
.pollVote div {
  margin: 20px 0;
}
.pollVote div input {
  margin-right: 10px;
}
.pollVote div label {
  font-weight: 700;
}

.progressBar {
  position: relative;
  height: 20px;
  border: 1px solid rgba(255, 255, 255, 0.4);
  background-color: rgba(255, 255, 255, 0.2);
}
.progressBar .percentage {
  width: 0%;
  height: 100%;
  background-color: #f0a589;
}
.progressBar .score {
  position: absolute;
  right: 0;
  top: 0;
  font-size: 14px;
  padding: 2px;
}

/* STYLE FLASH NOTICE */
.flash-notice, .alert, .form-error {
  margin-top: 10px;
  margin-bottom: 10px;
  color: #ee6a3a;
  font-weight: 700;
  font-size: 13px;
}

/*# sourceMappingURL=style.css.map */
